<?php

session_start();
if($_SESSION['dbName']==""){
header("location:../index.php");
}


include("config.inc.php");
include("Functions_Purchase.php");


$connection = mysql_connect($config['dbServer'],$config['dbUser'],$config['dbPass']) or die("Could not connect to DB");
mysql_select_db($_SESSION['dbName'],$connection) or die("Could not find DB");

	
//Read From Setup Table							
$querysetup= " select DecimalBase, DecimalBase1, DecimalBase2, base1, base2, grid_color1, grid_color2, ".
             " Date_Format(Setup_VatStartDate,'%Y%m%d') As Setup_VatStartDate, ifNull(Setup_VatPercentage,0) As Setup_VatPercentage from setup ";
$resultsetup=mysql_query($querysetup,$connection) or die(mysql_error());
while($rowsetup=mysql_fetch_array($resultsetup)){
	extract($rowsetup);
}

//Read From Module Table
$querymodule=" Select ifNull(Module_AdditionalTaxes,0) As Module_AdditionalTaxes, ifNull(Module_Pack,0) As Module_Pack, ".
			 " ifNull(Module_DoubleUnit,0) As Module_DoubleUnit, ifNull(Module_Unit1Method,0) As Module_Unit1Method, ".
			 " ifNull(Module_ProjectDt,0) As Module_ProjectDt, ifNull(Module_CostCenterDt,0) As Module_CostCenterDt, ".
			 " ifNull(Module_ExpireDate,0) As Module_ExpireDate ".
			 " From Module";
$resultmodule=mysql_query($querymodule,$connection) or die(mysql_error());
while($rowmodule=mysql_fetch_array($resultmodule)){
	extract($rowmodule);
}

//Read From PurchaseSetup Table
$queryPurchaseSetup="Select PurchaseTTC, Warehouse As SetupDftWareHouse From PurchaseSetup";
$resultPurchaseSetup=mysql_query($queryPurchaseSetup,$connection) or die(mysql_error());
while($rowPurchaseSetup=mysql_fetch_array($resultPurchaseSetup)){
	extract($rowPurchaseSetup);
}


//Group List
$querygroup= " select distinct group_code, group_name ".
			 " from grouping where group_code in (select group_code from ".$_SESSION['dbLabel'].".loginstk where user_account='".$_SESSION['useraccount']."') ".
			 " order by group_code";
$resultgroup = mysql_query($querygroup,$connection) or die(mysql_error());
$groupexist   = mysql_num_rows($resultgroup);
if ($groupexist == 0)
	$querygroup="select group_code, group_name from grouping order by group_code";
	
$resultgroup=mysql_query($querygroup,$connection) or die(mysql_error());


//Warehouse List
$querywarehouse=" select distinct warehouse.warehouse_code, warehouse_name ".
				" from warehouse where warehouse_code in (select warehouse_code from ".$_SESSION['dbLabel'].".loginstk where user_account='".$_SESSION['useraccount']."') ".
				" order by warehouse.warehouse_code";
$resultwh = mysql_query($querywarehouse,$connection) or die(mysql_error());
$whexist   = mysql_num_rows($resultwh);
if ($whexist == 0)
	$querywarehouse="select warehouse_code,warehouse_name from warehouse order by warehouse_code";
	
$resultwarehouse=mysql_query($querywarehouse,$connection) or die(mysql_error());


$querydflwh="select default_warehouse_code as defaultwarehouse from ".$_SESSION['dbLabel'].".loginstk where user_account='".$_SESSION['useraccount']."' and default_warehouse_code != '' ";
$resultdflwh=mysql_query($querydflwh,$connection) or die(mysql_error());
while($rows=mysql_fetch_array($resultdflwh)){
  extract($rows);
}


$mainaction = $_POST["mainaction"]; if ($mainaction == ""){$mainaction = $_GET["mainaction"];} 
$actionmode = $_POST["actionmode"]; if ($actionmode == ""){$actionmode = $_GET["actionmode"];} 
$message 	= $_POST["message"]; if ($message == ""){$message = $_GET["message"];} 

$PPurId    			= $_GET["PPurId"]; if ($PPurId == ""){$PPurId = $_POST["PPurId"];} 
$PPurDtId    		= $_GET["PPurDtId"]; if ($PPurDtId == ""){$PPurDtId = $_POST["PPurDtId"];} 
$PPurDate 			= $_GET["PPurDate"]; if ($PPurDate == ""){$PPurDate = $_POST["PPurDate"];} 
$PPurVatChkbx 		= $_GET["PPurVatChkbx"]; if ($PPurVatChkbx == ""){$PPurVatChkbx = $_POST["PPurVatChkbx"];} 

$lstWarehouse = $_POST["lstWarehouse"]; if ($lstWarehouse == ""){$lstWarehouse = $_GET["lstWarehouse"];}   
$lstItemType  = $_POST['lstItemType']; if ($lstItemType == ""){$lstItemType = $_GET["lstItemType"];} if ($lstItemType == ""){$lstItemType = "All";}
$lstGroup	  = $_POST["lstGroup"]; if ($lstGroup == ""){$lstGroup = $_GET["lstGroup"];}  

$txtPurDtId	  	  	= $_POST["txtPurDtId"]; if ($txtPurDtId == ""){$txtPurDtId = $_GET["txtPurDtId"];}  
$txtItemCode	  	= $_POST["txtItemCode"]; if ($txtItemCode == ""){$txtItemCode = $_GET["txtItemCode"];}  
$txtItemDesc	  	= $_POST["txtItemDesc"]; if ($txtItemDesc == ""){$txtItemDesc = $_GET["txtItemDesc"];}  
$txtPurDtRemark	  	= $_POST["txtPurDtRemark"]; if ($txtPurDtRemark == ""){$txtPurDtRemark = $_GET["txtPurDtRemark"];}  
$txtPurDtQty	  	= $_POST["txtPurDtQty"]; if ($txtPurDtQty == ""){$txtPurDtQty = $_GET["txtPurDtQty"];}  
$txtPurDtQty2	  	= $_POST["txtPurDtQty2"]; if ($txtPurDtQty2 == ""){$txtPurDtQty2 = $_GET["txtPurDtQty2"];}  
$txtRemainQty	  	= $_POST["txtRemainQty"]; if ($txtRemainQty == ""){$txtRemainQty = $_GET["txtRemainQty"];}  
$txtPurDtVolume	  	= $_POST["txtPurDtVolume"]; if ($txtPurDtVolume == ""){$txtPurDtVolume = $_GET["txtPurDtVolume"];}  
$txtPurDtPrice	  	= $_POST["txtPurDtPrice"]; if ($txtPurDtPrice == ""){$txtPurDtPrice = $_GET["txtPurDtPrice"];}  
$txtPurDtDiscount 	= $_POST["txtPurDtDiscount"]; if ($txtPurDtDiscount == ""){$txtPurDtDiscount = $_GET["txtPurDtDiscount"];}  
$txtPurDtTotal	  	= $_POST["txtPurDtTotal"]; if ($txtPurDtTotal == ""){$txtPurDtTotal = $_GET["txtPurDtTotal"];}  
$txtPurDtChargePer	= $_POST["txtPurDtChargePer"]; if ($txtPurDtChargePer == ""){$txtPurDtChargePer = $_GET["txtPurDtChargePer"];}  
$txtPurDtChargeAmt	= $_POST["txtPurDtChargeAmt"]; if ($txtPurDtChargeAmt == ""){$txtPurDtChargeAmt = $_GET["txtPurDtChargeAmt"];}  
$txtPurDtVat	  	= $_POST["txtPurDtVat"]; if ($txtPurDtVat == ""){$txtPurDtVat = $_GET["txtPurDtVat"];}  
$txtPurDtExpireDate = $_POST["txtPurDtExpireDate"]; if ($txtPurDtExpireDate == ""){$txtPurDtExpireDate = $_GET["txtPurDtExpireDate"];}  
$txtPurDtBatchNo 	= $_POST["txtPurDtBatchNo"]; if ($txtPurDtBatchNo == ""){$txtPurDtBatchNo = $_GET["txtPurDtBatchNo"];}  
$txtProjectCodeDt 	= $_POST["txtProjectCodeDt"]; if ($txtProjectCodeDt == ""){$txtProjectCodeDt = $_GET["txtProjectCodeDt"];}  
$txtCostCentCodeDt	= $_POST["txtCostCentCodeDt"]; if ($txtCostCentCodeDt == ""){$txtCostCentCodeDt = $_GET["txtCostCentCodeDt"];}  



print <<<HERE
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="stylesheet" href="default.css" type="text/css" />
<script type="text/javascript" language="javascript">


function SubmitRecord(ItemExpire) {
	x = document.purchasedt;
	
	var result = CheckFields(ItemExpire);
	var PurId  = x.PPurId.value;
	var PurDtId  = x.txtPurDtId.value;
	var vMainMode = x.mainaction.value;
	var vMode= x.actionmode.value;
	
	if (PurDtId == '')
		vMode = 'submitrecord';	
	else
		vMode = 'editdt';	
	   
	if (result == 1) {
		x.action="Form_ReturnPurchase_Actions.php?mode="+vMode+"&mainmode="+vMainMode+"&SPurId="+PurId+"&SPurDtId="+PurDtId;
		x.submit();
		
	}	
}

function ChangeLocation() {
	x = document.purchasedt;
	var vMode = x.actionmode.value;
	
	if (vMode == 'submitrecord') {
		
		opener.document.purchase.actionmode.value = x.actionmode.value;
		opener.document.purchase.mainaction.value = x.mainaction.value;
		//opener.document.purchase.message.value = x.message.value;
		opener.document.purchase.txtPurId.value = x.PPurId.value;
		opener.document.purchase.submit();
		
	} 
	else if (vMode == 'submitrecord' || vMode == 'editdt') {
		opener.document.purchase.actionmode.value = x.actionmode.value;
		opener.document.purchase.mainaction.value = x.mainaction.value;
		opener.document.purchase.txtPurId.value = x.PPurId.value;
		opener.document.purchase.submit();
		
		self.close();
	
	}

	if (document.getElementById('txtItemCode').type == 'text')
		x.txtItemCode.focus();
}


function CheckFields(ItemExpire){
  
    x = document.purchasedt;
	
	var PurDtItem = x.txtItemCode.value;
	var PurDtWarehouse = x.lstWarehouse.value;
	var PurDtQty    = x.txtPurDtQty.value;
	var PurDtQty2   = x.txtPurDtQty2.value;
	var PurDtPrice  = x.txtPurDtPrice.value;
	var PurDtDisc   = x.txtPurDtDiscount.value;
	var PurDtRemQty = x.txtRemainQty.value;
	
	var PurDtExpireDate = x.txtPurDtExpireDate.value;
	var PurDtBatchNo    = x.txtPurDtBatchNo.value;

	var vmode = x.actionmode.value;
	
	if (PurDtPrice == '')  PurDtPrice = 0;
	if (PurDtQty == '')    PurDtQty = 0;
	if (PurDtQty2 == '')   PurDtQty2 = 0;
	if (PurDtRemQty == '') PurDtRemQty = 0;
	
	PurDtQty = parseFloat(PurDtQty);
	PurDtRemQty = parseInt(PurDtRemQty);
	


	
	if (PurDtWarehouse=='')
	{
		alert("Warehouse Column is mandatory!");
		x.lstWarehouse.focus();
		return 0;
	}
	else if (PurDtItem=='' )
	{
		alert("Item Column is mandatory!");
		x.txtItemCode.focus();
		return 0;
	}
	else if ((PurDtQty*1 != PurDtQty/1 || PurDtQty < 0)) {
		alert('Quantity should be a NUMERIC and POSITIVE value ');
		x.txtPurDtQty.focus();
		return 0;
	}
	else if ((PurDtPrice*1 != PurDtPrice/1 || PurDtPrice < 0) ) {
		alert('Purchase Price should be a NUMERIC and POSITIVE value');
		x.txtPurDtPrice.focus();
		return 0;
	}
	else if ((PurDtDisc != '' && PurDtDisc*1 != PurDtDisc/1) ) {
		alert('Discount should be a NUMERIC value');
		x.txtPurDtDiscount.focus();
		return 0;
	}
	else if (PurDtRemQty != '' && PurDtQty > PurDtRemQty ) {
		alert('Quantity entered not allowed. Return Qty must be <= Available Purchase Qty ['+PurDtRemQty+'].');
		x.txtPurDtQty.focus();
		return 0;
	}
	else if ((PurDtQty2 != '' && PurDtQty2*1 != PurDtQty2/1) ) {
		alert('Item Qty2 should be a NUMERIC value.');
		x.txtPurDtQty2.focus();
		return 0;
	}
	else if (ItemExpire == 1 && PurDtExpireDate == '' ) {
		alert('Item Expire Date is mandatory.');
		x.txtPurDtExpireDate.focus();
		return 0;
	}
	else if (ItemExpire == 1 && PurDtBatchNo == '' ) {
		alert('Item Batch No is mandatory.');
		x.txtPurDtBatchNo.focus();
		return 0;
	}
		
	
	else
	return 1 ;	
}






//All= All form; D= Detail Part
function ClearForm(Option){
    x = document.purchasedt;
	var vmode = x.actionmode.value;
	
	if (Option == 'D')
	{
		x.txtPurDtId.value='';
		//x.txtItemCodePacked.value='';
		//x.txtItemDescPacked.value='';
		x.txtItemCode.value='';
		x.txtItemDesc.value='';
		x.lstWarehouse.value='';
		x.txtPurDtRemark.value='';
		x.txtPurDtQty.value='';
		x.txtPurDtQty2.value='';
		x.txtPurDtVolume.value='';
		x.txtPurDtPrice.value='';
		x.txtPurDtDiscount.value='';
		x.txtPurDtTotal.value='';
		x.txtPurDtChargePer.value='';
		x.txtPurDtChargeAmt.value='';
		x.txtPurDtVat.value='';
		
		x.txtPurDtExpireDate.value='';
		x.txtPurDtBatchNo.value='';
		
		//x.message.value='';
		x.actionmode.value = '';
	
	}

}


function CalcPurDtTotal(dec) {
	x = document.purchasedt;
	var vmode = x.actionmode.value;
	var Qty      = x.txtPurDtQty.value;
	var Price    = x.txtPurDtPrice.value;
	var Discount = x.txtPurDtDiscount.value;
	
	if (Qty == '')      Qty = 0;
	if (Price == '')    Price = 0;
	if (Discount == '') Discount = 0;
	
	Qty = parseInt(Qty);
	Price = parseFloat(Price);
	Discount = parseFloat(Discount);
	
	if (Qty > 0 && Price >= 0)
	   x.txtPurDtTotal.value = Math.round(((Qty*Price) - (Qty*Price*Discount/100))*Math.pow(10,dec))/Math.pow(10,dec);

}


function CalcQty2(ModuleUnit1Method,UnitCoef,Option) {
	x = document.purchasedt;
	var Qty  = x.txtPurDtQty.value;
	var Qty2 = x.txtPurDtQty2.value;
	
	if (Qty == '')  Qty = 0;
	if (Qty2 == '') Qty2 = 0;
	
	if(ModuleUnit1Method == 1) {
		if (Qty > 0 && Option == 1 && document.getElementById('txtPurDtQty2').type == 'text') {
			x.txtPurDtQty2.value = Qty*UnitCoef;
		}	
		else if (Qty == 0 && Option == 1 && document.getElementById('txtPurDtQty2').type == 'text') {
			x.txtPurDtQty2.value = '';
		}
	}
	//Case Modify Qty and Qty2 Should Be Empty
	else if(ModuleUnit1Method == 0 && Option == 1 && Qty2 == 0) {
		if (Qty > 0 && UnitCoef != 0 && document.getElementById('txtPurDtQty2').type == 'text') {
			x.txtPurDtQty2.value = Qty/UnitCoef;
		}	
		else if (Qty == 0 && document.getElementById('txtPurDtQty2').type == 'text') {
			x.txtPurDtQty2.value = '';
		}
	}
	//Case Modify Qty2 Get Qty
	else if(ModuleUnit1Method == 0 && Option == 2) {
		if (Qty2 > 0 && document.getElementById('txtPurDtQty2').type == 'text') {
			x.txtPurDtQty.value = Qty2*UnitCoef;
		}	
		else if (Qty2 == 0 && document.getElementById('txtPurDtQty2').type == 'text') {
			x.txtPurDtQty.value = '';
		}
	}
}
function SetItemVat() {
	x = document.purchasedt;
	var vmode = x.actionmode.value;
	
	if (x.txtPurDtVat.value == 1)
	   x.chkPurDtVat.checked = true;

}


function showlistItems(str){
  var vdate, vid;
  x = document.purchasedt;
  
  vdate = x.PPurDate.value;
  vid   = x.PPurId.value;
  vItemType  = x.lstItemType.value;
  vItemGroup = x.lstGroup.value;
  
  vItemGroup = vItemGroup.replace('&','%26');
  
  window.open('List_PurItems.php?item='+str+'&ItemType='+vItemType+'&ItemGroup='+vItemGroup+'&TransDate='+vdate+'&TransID='+vid,'mywindow','width=850,height=400,toolbar=no,location=no,directories=no,status=yes,menubar=no,scrollbars=yes,copyhistory=no,resizable=yes');
  
  //window.open('List_PurItems.php?item='+str+'&TransDate='+vdate+'&TransID='+vid,'mywindow','width=850,height=400,toolbar=no,location=no,directories=no,status=yes,menubar=no,scrollbars=yes,copyhistory=no,resizable=yes');
}

function showlistBatchNo(str) {
	x = document.purchasedt;
	vItemCode  = x.txtItemCode.value;
	
	window.open('List_BatchNo.php?frm=2&PItem_Code='+vItemCode,'List_BatchNo','width=580,height=400,toolbar=no,location=no,directories=no,status=yes,menubar=no,scrollbars=yes,copyhistory=no,resizable=yes');
}

function showlistProject(str){

  window.open('List_SorProject.php?frm=19&item='+str,'mywindow','width=850,height=550,toolbar=no,location=no,directories=no,status=yes,menubar=no,scrollbars=yes,copyhistory=no,resizable=yes');
}

function showlistCostcenter(str){

  window.open('List_SorCostcenter.php?frm=19&item='+str,'mywindow','width=850,height=550,,toolbar=no,location=no,directories=no,status=yes,menubar=no,scrollbars=yes,copyhistory=no,resizable=yes');
}


function kd(e)
{
	x=document.purchasedt;
    var intKey = (window.Event) ? e.which : e.keyCode;
    if (intKey == 13) { //enter key
        x.btnSubmitRecord.click();
		return false;
    }
    return true;
}

</script>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Return Purchase Detail - Add Items</title>


<script type="text/javascript" src="dropdown.js"></script>
<link rel="stylesheet" href="default.css" type="text/css" />
<link rel="stylesheet" href="short.css" type="text/css" />
<link rel="stylesheet" href="dropdown.css" type="text/css" />
<style type="text/css">

body,td,th {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 11px;
}
body {
	margin-top: 2px;
	margin-left: 1px;
}
a:link {
	text-decoration: none;
	color: #0000FF;
}
a:visited {
	text-decoration: none;
	color: #0000FF;
}
a:hover {
	text-decoration: none;
	color: #0000FF;
}
a:active {
	text-decoration: none;
	color: #0000FF;
}
.style11 {color: #999999; font-weight: bold; }
.style12 {
	font-size: 9px;
	color: #999999;
	font-weight: bold;
}
.style15 {color: #5151FF; font-size: 10px;}
.style16 {
	font-size: 16px;
	color: #FF0000;
	font-weight: bold;
	font-family: "Times New Roman", Times, serif;
}
.style17 {font-size: 9px}
.style25 {color: #999999; font-weight: bold; font-size: 10px; }
.style26 {color: #FF0000}
.style27 {color: #999999 ;font-size: 10px;}
.style28 {color: #FFFFFF ;font-size: 10px;}

</style>

<link type="text/css" rel="stylesheet" href="dhtmlgoodies_calendar.css?random=20051112" media="screen"></LINK>
<SCRIPT type="text/javascript" src="dhtmlgoodies_calendar.js?random=20060118"></script>

</head>
<body onLoad='ChangeLocation();' >
<form name='purchasedt' method='post'>
<input type='hidden' name='mainaction' value='$mainaction'>
<input type='hidden' name='actionmode' value='$actionmode'>
<input type='hidden' name='PPurDate' value='$PPurDate'>
<input type='hidden' name='PPurId' value='$PPurId'>
<input type='hidden' name='PPurDtId' value='$PPurDtId'>
<input type='hidden' name='PPurVatChkbx' value='$PPurVatChkbx'>

HERE;
	

//Pack Item Module
$ModePackItem = '';
if ($Module_Pack == 0)
	$ModePackItem = ' disabled ';

$PriceLabel = 'Price';	
if ($PurchaseTTC == 1) 	
	$PriceLabel = 'Price TTC';	


if (empty($lstWarehouse)) {
	if(!empty($defaultwarehouse))
		$lstWarehouse = $defaultwarehouse;
	else	
		$lstWarehouse = $SetupDftWareHouse;
}	

if ($Module_ProjectDt == 1 && empty($txtProjectCodeDt))     $txtProjectCodeDt  = $PPurProjectCode; 
if ($Module_CostCenterDt == 1 && empty($txtCostCentCodeDt)) $txtCostCentCodeDt = $PPurCostCentCode; 

	
//Edit Purchase Detail Mode
if($PPurDtId != ''){
	$querydt = " Select PurchaseDt_ID, PurchasesDt.Item_CodePacked, PurchasesDt.Item_code, Item_Description, PurchasesDt.Warehouse_Code, ".
	           " Purchasedt_Remark, PurchaseDt_Quantity, PurchaseDt_Volume, Round(PurchaseDt_Price, ".$DecimalBase."), PurchaseDt_PriceBase1, PurchaseDt_PriceBase2, ".
			   " Round(PurchaseDt_DiscountPer, ".$DecimalBase."), Round(PurchaseDt_ChargePer, ".$DecimalBase."), Round(PurchaseDt_ChargesAmnt, ".$DecimalBase."), ".
			   " PurchaseDt_ChargesAmntB1, PurchaseDt_ChargesAmntB2, if(Items.Item_Vat !='', 1, 0) As ItemVat, ".
			   " Round(((PurchaseDt_Quantity*PurchaseDt_Price)-((PurchaseDt_Quantity*PurchaseDt_Price*ifNull(PurchaseDt_DiscountPer,0))/100)), ".$DecimalBase.") As Total, ".
			   " Round(PurchaseDt_PriceTTC, ".$DecimalBase."), ".
			   " Round(((PurchaseDt_Quantity*PurchaseDt_PriceTTC)-((PurchaseDt_Quantity*PurchaseDt_PriceTTC*ifNull(PurchaseDt_DiscountPer,0))/100)), ".$DecimalBase.") As TotalTTC, ".
			   " PurchasesDt.Item_Unit2Qty, Date_Format(PurchaseDt_ExpireDate,'%d/%m/%Y') As PurchaseDt_ExpireDate, PurchaseDt_BatchNo, ".
			   " PurchasesDt.Project_code, PurchasesDt.CostCent_Code ".
			   " From Temp_PurchasesDt As PurchasesDt Left Join Items on PurchasesDt.Item_code = Items.Item_code ".
	           " Where PurchasesDt.PurchaseDt_ID = ".$PPurDtId;
			   //" And Logged_Code = '".$_SESSION['useraccount']."' ";			   
	//echo $querydt;
	$resultdt=mysql_query($querydt,$connection) or die(mysql_error());
    $rowsdt=mysql_fetch_array($resultdt);
	
	$txtPurDtId        = $rowsdt[0];
	//$txtItemCodePacked = $rowsdt[1];
	$txtItemCode       = $rowsdt[2];
	$txtItemDesc       = $rowsdt[3];
	$lstWarehouse      = $rowsdt[4];
	$txtPurDtRemark    = $rowsdt[5];
	$txtPurDtQty       = $rowsdt[6];
	$txtPurDtQty2      = $rowsdt[20];
	$txtPurDtVolume    = $rowsdt[7];
	$txtPurDtPrice 	   = $rowsdt[8];
	
	if ($PurchaseTTC == 1) 	
		$txtPurDtPrice 	   = $rowsdt[18];
	else
		$txtPurDtPrice 	   = $rowsdt[8];
		
	$txtPurDtDiscount  = $rowsdt[11];
	
	if ($PurchaseTTC == 1) 	
		$txtPurDtTotal     = $rowsdt[19];
	else
		$txtPurDtTotal     = $rowsdt[17];
		
	$txtPurDtChargePer = $rowsdt[12];
	$txtPurDtChargeAmt = $rowsdt[13];
	$chkPurDtVat       = $rowsdt[16];

	$txtPurDtExpireDate = $rowsdt[21];
	$txtPurDtBatchNo    = $rowsdt[22];
	$txtProjectCodeDt	= $rowsdt[23]; 
	$txtCostCentCodeDt	= $rowsdt[24];
	
}

$i_unitcoef = 1;
$i_expire   = 0;
if($txtItemCode != ''){
	$query = " SELECT Item_UnitSalesDesc, Item_UnitPurchaseDesc, ifNull(Item_Unit,1), ifNull(Item_Expire,1) ".
			 " FROM items WHERE Item_Code = '".$txtItemCode."'";
		
	//echo "<br><br>".$query;
	$result = selectData($connection, $query);
	$i_unit1  	  = $result[0];
	$i_unit2 	  = $result[1]; 
	$i_unitcoef	  = $result[2];
	$i_expire	  = $result[3];
	
	$txtItemUnit1 = $i_unit1;
	$txtItemUnit2 = $i_unit2;
	
}



$style= "style=' background-color:#4069A7; color:#FFFFFF;font-family:Verdana, Arial, Helvetica, sans-serif; font-size:12px;'";
		  
echo"   <tr><td valign='top'>
        <table border='0' style='table-layout:fixed' align='center' valign='top'>
          <col width=90>
		  <col width=170>
		  <col width=80>
		  <col width=450>
		   <tr bgcolor='#F7F7F7' height='25'>
		     <th colspan='4'><span class='style3'>Add Items </span></th></tr>
		   <tr bgcolor='#F7F7F7' height='25'>	
			 <td colspan='4' align='center'><font size='1' color='#FF0000' face='Verdana'><b>".$message."<br>".$WarningMsg."</b></font></td></tr>			 
			 
		   <tr bgcolor='#F7F7F7' height='25'>
             <td valign='center' align='left' ><span class='style12'>Warehouse&nbsp;<span class='style26'>*</span></span></td>";
		     
		if ($PPurDtId == '') {	 	 
			echo" <td colspan='3'><select name='lstWarehouse' id='lstWarehouse' style='font-size:11px; width:200px; height:20px;' >";
			echo"<option></option>";
			while($wrhf=mysql_fetch_row($resultwarehouse)){
			echo"<option ";
				if (($lstWarehouse==$wrhf[0]) || ($DftWareHouse==$wrhf[0]))
					echo " selected ";
			echo" value='$wrhf[0]'>$wrhf[0] / $wrhf[1]</option>";
			}
			echo"</select></td>";
			
		} else 	{
			echo"<td colspan='3'><b>$lstWarehouse</b><input type='hidden' name='lstWarehouse' id='lstWarehouse' value='$lstWarehouse'></td>";
		
		}
			
	echo"</tr>	 
		  <tr bgcolor='#F7F7F7' height='25'>
             <td valign='center' align='left' ><span class='style12'>Item Packed</span></td>
		     <td colspan='3'><input type='hidden' name='txtPurDtId' value='$txtPurDtId' >
			 <input type='hidden' name='txtRemainQty' value='$txtRemainQty' >
			 <select name='lstItemType' style='font-size:11px; width:200px; height:20px;'>";
			
			if ($lstItemType == "Packed" && $Module_Pack == 1){
				echo "<option selected value='Packed'>Packed</option>";
			}else if ($Module_Pack == 1){
				echo "<option value='Packed'>Packed</option>";
			}
			if ($lstItemType == "PromoPacked" && $Module_Pack == 1){
				echo "<option selected value='PromoPacked'>Promo Packed</option>";
			}else{
				echo "<option value='PromoPacked'>Promo Packed</option>";
			}
			if ($lstItemType == "Trading"){
				echo "<option selected value='Trading'>Trading</option>";
			}else{
				echo "<option value='Trading'>Trading</option>";
			}
			if ($lstItemType == "PromoTrading"){
				echo "<option selected value='PromoTrading'>Promo Trading</option>";
			}else{
				echo "<option value='PromoTrading'>Promo Trading</option>";
			}
			if ($lstItemType == "Production"){
				echo "<option selected value='Production'>Production</option>";
			}else{
				echo "<option value='Production'>Production</option>";
			}
			if ($lstItemType == "NonStock"){
				echo "<option selected value='NonStock'>Non-Stock</option>";
			}else{
				echo "<option value='NonStock'>Non-Stock</option>";
			}
			echo "</select></td>";
			 
echo"     </tr>	 
		  <tr bgcolor='#F7F7F7' height='25'>
             <td valign='center' align='left' ><span class='style12'>Group</span></td>
		     <td colspan='3'><select name='lstGroup' id='lstGroup' style='font-size:11px; width:383px; height:20px;' >";
			echo"<option></option>";
			while($groupf=mysql_fetch_row($resultgroup)){
			echo"<option ";
				if ($lstGroup==$groupf[0] )
					echo " selected ";
			echo" value='$groupf[0]'>$groupf[0] - $groupf[1]</option>";
			}
			
echo"        </select></td>			 
		  </tr>	 
		  <tr bgcolor='#F7F7F7' height='25'>
             <td valign='center' align='left' ><span class='style12'>Item&nbsp;<span class='style26'>*</span></span></td>";
			 
			 if ($PPurDtId == '') {
				echo " <td colspan='3'><input type='text' name='txtItemCode' value='$txtItemCode' onBlur='SetItemVat();' onkeydown='return kd(event);'  maxlength='20' style='font-size:12px; width:110px; height:20px;'>
					   <input type='text' name='txtItemDesc' id='txtItemDesc' value='$txtItemDesc' style='font-size:12px; width:270px; height:20px;' />
					   <label><span class='style12'><img src='img/btnopen.jpg' title=' Select Item '  width='15' height='17' border='0' onMouseOver=\"style.cursor='hand'\" onClick='showlistItems(1); ' /></span></label></td>";
			 } else {
				echo " <td colspan='3'><input type='hidden' name='txtItemCode' value='$txtItemCode' /><input type='hidden' name='txtItemDesc' id='txtItemDesc' value='$txtItemDesc' />
					   <b>$txtItemCode &nbsp;&nbsp; $txtItemDesc</b></td>";
			 }	
			 
echo"     </tr>	 
		  <tr bgcolor='#F7F7F7' height='25'>
             <td valign='center' align='left' ><span class='style12'>Remark</span></td>
			 <td colspan='3'><input type='text' name='txtPurDtRemark' value='".htmlspecialchars($txtPurDtRemark, ENT_QUOTES)."'  maxlength='51' style='font-size:12px; width:385px; height:20px;'></td>
		  </tr>";
		  
if ($Module_ProjectDt == 1 || $Module_CostCenterDt == 1) {
	echo"   <tr bgcolor='#F7F7F7'>";

	if ($Module_ProjectDt == 1) {
		echo" <td align='left'><span class='style12'>Project&nbsp;<span class='style12'>*</span></span></td>
			  <td align='left'> <span class='style12'>
				<input type='text' name='txtProjectCodeDt' id='txtProjectCodeDt' value='$txtProjectCodeDt' style='width:120px;' maxlength='15' readonly /></span>
				<label><span class='style12'><img src='img/btnopen.jpg' title=' Select Project ' width='15' height='20' border='0' onMouseOver=\"style.cursor='hand'\" onClick='showlistProject(1); '  /></span></label></td>";
	} else {
		echo" <td align='left'>&nbsp;</td>
			  <td align='left'><input type='hidden' name='txtProjectCodeDt' id='txtProjectCodeDt' value='' /></td>";
	}

	if ($Module_CostCenterDt == 1) {		  
		echo" <td align='left'><span class='style12'>Costcenter&nbsp;<span class='style12'>*</span></span></td>
			  <td align='left'><span class='style12'>
				<input type='text' name='txtCostCentCodeDt' id='txtCostCentCodeDt' value='$txtCostCentCodeDt' style='width:130px;' maxlength='15' readonly /></span>
				<label><span class='style12'><img src='img/btnopen.jpg' title=' Select Costcenter ' width='15' height='20' border='0' onMouseOver=\"style.cursor='hand'\"  onClick='showlistCostcenter(1); ' /></span></label></td>";
	} else {
		echo" <td align='left'>&nbsp;</td>
			  <td align='left'><input type='hidden' name='txtCostCentCodeDt' id='txtCostCentCodeDt' value='' /></td>";

	}
	echo"   </tr>";
}

if ($Module_ExpireDate == 1) {
	echo" <tr bgcolor='#F7F7F7' height='25'>
             <td valign='center' align='left' ><span class='style12'>Batch No</span></td>
			 <td><input type='text' name='txtPurDtBatchNo' value='".htmlspecialchars($txtPurDtBatchNo, ENT_QUOTES)."'  maxlength='40' style='font-size:12px; width:120px; height:20px;' readonly >
				<label><span class='style12'><img src='img/btnopen.jpg' title='Select Batch No'  width='15' height='17' border='0' onMouseOver=\"style.cursor='hand'\" onClick='showlistBatchNo(1); ' /></span></label>
			 </td>
			 <td valign='center' align='left' ><span class='style12'>Expire Date</span></td>
			 <td><input type='text' name='txtPurDtExpireDate' value='$txtPurDtExpireDate' maxlength='10' style='font-size:12px; width:90px; height:20px;'>
					<a HREF='#' onClick=\"displayCalendar(document.purchasedt.txtPurDtExpireDate,'dd/mm/yyyy',this); return false;\" NAME='anchor1' ID='anchor1'><img src='./img/cal.gif' border=0 align=center></a></td>
		  </tr>	"; 	 
} else {
	echo" <input type='hidden' name='txtPurDtExpireDate' value='$txtPurDtExpireDate'>";
	echo" <input type='hidden' name='txtPurDtBatchNo' value='$txtPurDtBatchNo'>";
}		  

echo"	 <tr bgcolor='#F7F7F7'><td valign='top' colspan='4'>
			<table border='0' style='table-layout:fixed' align='left' valign='top' >";
			
if ($Module_DoubleUnit == 1) {
	echo" <col width=40>
		  <col width=85>
		  <col width=40>
		  <col width=75>
		  <col width=85>
		  <col width=90>
		  <col width=65>
		  <col width=90>
		  <col width=75>
		  <col width=85>
		  <col width=40>";
} else {
	echo" <col width=90>
		  <col width=90>
		  <col width=100>
		  <col width=70>
		  <col width=100>
		  <col width=80>
		  <col width=90>
		  <col width=40>";
}			
	echo "<tr>";		
	
	if ($Module_DoubleUnit == 1)
		echo"<td valign='center' align='center' ><span class='style12'>Unit1</span></td>";
		
	echo"   <td valign='center' align='center' ><span class='style12'>Quantity&nbsp;<span class='style26'>*</span></span></td> ";
	
	if ($Module_DoubleUnit == 1) {
		echo"<td valign='center' align='center' ><span class='style12'>Unit2</span></td>";
		echo"<td valign='center' align='center' ><span class='style12'>Unit2 Qty</span></td>";
	}
	
	echo"	<td valign='center' align='center' ><span class='style12'>Volume</span></td> ";
	echo"	<td valign='center' align='center' ><span class='style12'>$PriceLabel&nbsp;<span class='style26'>*</span></span></td> ";
	echo"	<td valign='center' align='center' ><span class='style12'>Disc(%)</span></td> ";
	echo"	<td valign='center' align='center' ><span class='style12'>Total</span></td> ";
	echo"	<td valign='center' align='center' ><span class='style12'>Charge(%)</span></td> ";
	echo"	<td valign='center' align='center' ><span class='style12'>Charges Amnt</span></td>"; 
	echo"	<td valign='center' align='center' ><span class='style12'>VAT</span></td> ";
	echo" </tr>";
	echo" <tr bgcolor='#F7F7F7' height='25'>";
	
	if ($Module_DoubleUnit == 1) echo"<td align='center'><b>$txtItemUnit1</b></td>";
	
	echo"   <td align='center'><input type='text' name='txtPurDtQty' value='$txtPurDtQty' maxlength='20' onBlur='CalcPurDtTotal($DecimalBase);' onchange='CalcQty2($Module_Unit1Method,$i_unitcoef,1);' style='font-size:12px; width:80px; height:20px;' ></td>";
	
	if ($Module_DoubleUnit == 1) {
		echo"<td align='center'><b>$txtItemUnit2</b></td>";
		echo "<td align='center'><input type='text' name='txtPurDtQty2' id='txtPurDtQty2' value='$txtPurDtQty2' maxlength='20' onchange='CalcQty2($Module_Unit1Method,$i_unitcoef,2);' style='font-size:12px; width:70px; height:20px;' ></td>";
	} else {
		echo "<input type='hidden' name='txtPurDtQty2' id='txtPurDtQty2' value='$txtPurDtQty2' >";
	}
	
	echo"	<td align='center'><input type='text' name='txtPurDtVolume' value='$txtPurDtVolume' maxlength='20' style='font-size:12px; width:80px; height:20px;'></td>
			<td align='center'><input type='text' name='txtPurDtPrice' value='$txtPurDtPrice' maxlength='20' onBlur='CalcPurDtTotal($DecimalBase);' style='text-align:right; font-size:12px; width:90px; height:20px;' ></td>
			<td align='center'><input type='text' name='txtPurDtDiscount' value='$txtPurDtDiscount' maxlength='20' onBlur='CalcPurDtTotal($DecimalBase);'  style='text-align:right; font-size:12px; width:60px; height:20px;' ></td>
			<td align='center'><input type='text' name='txtPurDtTotal' value='$txtPurDtTotal' maxlength='20' style='text-align:right; font-size:12px; width:90px; height:20px;' ></td>
			<td align='center'><input type='text' name='txtPurDtChargePer' value='$txtPurDtChargePer' maxlength='20' style='text-align:right; font-size:12px; width:70px; height:20px;'></td>
			<td align='center'><input type='text' name='txtPurDtChargeAmt' value='$txtPurDtChargeAmt' maxlength='20' style='text-align:right; font-size:12px; width:80px; height:20px;'></td>
			<td align='center'><input type='hidden' name='txtPurDtVat' value='$txtPurDtVat'><input name='chkPurDtVat' type='checkbox' id='chkPurDtVat' value='1' disabled "; 
	        if($chkPurDtVat==1) echo "checked /></td>"; else echo " /></td>";   
echo"        
		  </tr>
		  </table></td></tr>
		  <tr bgcolor='#F7F7F7' height='35'>
		     <td colspan='4' align='center' bgcolor=#D8D8D8>
			    <input type='button' id='btnSubmitRecord' name='btnSubmitRecord'  value='Submit Record'  onclick='SubmitRecord($i_expire)' $style title='Submit Record'></td>
			 
		  </tr>
        </table>";

	

print <<<HERE
</form>
</body>

HERE;

?>